
/*
====================
JSLINT: set options
====================
*/

/*jshint esversion: 6*/
/*jshint sub:true*/


/*
====================
HEADER
====================
*/

this.name			= "nexus_conditionsScript";
this.author			= "UK_Eliter";
this.description	= "Conditions script for Nexus missile";
this.copyright		= "2014 Creative Commons: attribution, non-commercial, sharealike.";
this.licence		= "CC-NC-SA 3";


//this.logging = true; // THIS SHOULD BE COMMENTED OUT WHEN NOT TESTING
//this.debug = false;


/*
========================
JSLINT: start of wrapper
========================
*/

(function(){
"use strict";


/*
========================
MAIN CODE
========================
*/

this.allowAwardEquipment = function(eqKey, ship, context)
{
	var chance = 0;
	//
	switch (eqKey)
	{
		case "EQ_NEXUS_BASIC_MISSILE": chance = 0.9; break;
		case "EQ_NEXUS_PREMIUM_MISSILE": chance = 0.8; break;
		case "EQ_NEXUS_ULTIMATE_MISSILE": chance = 0.6; break;
		case "EQ_NEXUS_BUG_MISSILE":
			if (player.ship.dockedStation === "Navy SecCom Station")
			{
				chance = 0.9;
			}
			else
			{
				chance = 0.25;
			}
			break;
		case "Q_NEXUS_BUG_R_MISSILE":
			if (player.ship.dockedStation === "Navy SecCom Station")
			{
				chance = 0.15;
			}
			else
			{
				chance = 0.25;
			}
	}
	if (chance === 0) {return;}
	if (Math.random() <0.95)
	{
		if ( system.scrambledPseudoRandomNumber(5922) < chance ) { return true; } else { return false; }
	}
	else
	{
		if ( Math.random() < chance ) { return true; } else { return false; }
	}
};


/*
=======================
JSLINT: end of wrapper
=======================
*/

}).call(this);

// EOF

